﻿
@model JavnaNabava.ViewModels.PonudeViewModel

@{
    ViewData["Title"] = "Ponuda";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Ponuda</h1>
<p>
    <small>
        Ova stranica je Master(složeni tablični prikaz). <br />
        Implementirano je straničenje i sortiranje te ostanak na stranici prilikom brisanja.<br />
        Omogućeno je dodavanje i ažuriranje novog podatka, odabir vrijednosti iz padajuće liste te validacija podataka.<br />
        Napravljeno je kaskadno brisanje kao i potvrda prilikom brisanja.<br />
    </small>
</p>
<p>
    <a asp-action="Create"><i class="fas fa-plus-square"></i>Stvori novu ponudu</a>
</p>
<pager page-info="@Model.PagingInfo" page-title="Unesite zeljenu stranicu"
       page-action="Index" class="float-right">
</pager>
<table class="table table-sm table-striped" table-hover">
    <thead>
        <tr>
            <th>
                <a asp-route-sort="1"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 1 ? !Model.PagingInfo.Ascending : true)">
                    Redni br
                </a>
            </th>
            <th>
                <a asp-route-sort="2"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 2 ? !Model.PagingInfo.Ascending : true)">Ukupna cijena ponude</a>
            </th>
            <th>
                <a asp-route-sort="3"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 3 ? !Model.PagingInfo.Ascending : true)">Vrsta ponuditelja</a>
            </th>
            <th>
                <a asp-route-sort="4"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 4 ? !Model.PagingInfo.Ascending : true)">Tvrtka</a>
            </th>
            <th>
                <a asp-route-sort="4"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 4 ? !Model.PagingInfo.Ascending : true)">Konzorcij</a>
            </th>
            <th>Dokumenti</th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var ponuda in Model.Ponude)
        {
        <tr>
            <td class="text-left">
                <a asp-action="Show"
                   asp-route-Id="@ponuda.Id"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-sort="@Model.PagingInfo.Sort"
                   asp-route-ascending="@Model.PagingInfo.Ascending">
                    @ponuda.Id
                </a>
            </td>
            <td>
                @Html.DisplayFor(modelItem => ponuda.ukupnaCijenaPonude)
            </td>
            <td>
                @Html.DisplayFor(modelItem => ponuda.vrstaPonuditelja)
            </td>
            <td>
                @Html.DisplayFor(modelItem => ponuda.tvrtka)
            </td>
            <td>
                @Html.DisplayFor(modelItem => ponuda.konzorcij)
            </td>
            <td class="text-left">
                @foreach (var dokument in ponuda.PonudaDokumenti)
                {
                    @dokument.urudzbeniBr
                    <br />
                }
            </td>
            <td class="btn-group">
                <a asp-action="Show"
                   asp-route-Id="@ponuda.Id"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-sort="@Model.PagingInfo.Sort"
                   asp-route-ascending="@Model.PagingInfo.Ascending">
                    Detalji
                </a>
                <a asp-action="Edit"
                   asp-route-id="@ponuda.Id"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-sort="@Model.PagingInfo.Sort"
                   asp-route-ascending="@Model.PagingInfo.Ascending"
                   class="btn btn-sm edit"
                   title="Ažuriraj"><i class="fas fa-edit"></i></a>
                <form asp-action="Delete" method="post"
                      asp-route-page="@Model.PagingInfo.CurrentPage"
                      asp-route-sort="@Model.PagingInfo.Sort"
                      asp-route-ascending="@Model.PagingInfo.Ascending">
                    <input type="hidden" name="Id" value="@ponuda.Id" />
                    <button type="submit" class="btn btn-sm btn-danger delete" title="Obriši">
                        <i class="fas fa-trash-alt"></i>
                    </button>
                </form>
            </td>
        </tr>
        }
    </tbody>
</table>
